
<template>
    <div>
<section class="hero-banner">
      <div class="top-header">
        <div class="order-option top-head-left">
          <p>Ordering Options</p>
        </div>
        <div class="sign-in top-head-right">
          <a href="#" class="info-icon" data-toggle="modal" data-target=".infomodal"><i class="fa fa-info-circle" aria-hidden="true"></i>
          </a>
          <a href="#" class="signin-icon">
          Sign In <i class="fa fa-user" aria-hidden="true"></i>
          </a>
        </div>        
      </div>  
      <div class="hero-logo">
        <div class="container">
          <div class="logo">
            <a href="#"><img src="../assets/images/logo.png" alt="" class="img-responsive"></a>
          </div>
        </div>
      </div>  
    </section>
  <!--/1. Hero banner section end here -->
  
  <!--2. Choose location section start here -->
  <section class="choose-loc-sec">
      <div class="container">
          <div class="choose-box-main">
              <div class="choose-box-left choose-bx-same">
                <!-- Choose box header -->
                <div class="choosebox-header">
                  <div class="form-block-title head-left">
                    <p><img src="../assets/images/icon/action/locator.png" alt="" class="img-responsive">Choose a Location</p>
                  </div>
                  <div class="form-block-title head-right">
                    <p>2/3</p>
                  </div>
                </div>
                <!--/Choose box header -->  
                
                <!-- Choose box main -->                
                <div class="choosebox-search">
                  <input class="form-control ch_box_search" type="search" placeholder="Search City, ST or Zip" aria-label="Search">
                </div> 
                <hr />
                <div class="choosebox-table"  >
                  <div className="choose_loc_data" >
                  <div class="ch_box_row" :key="id" v-for="(itemdata,id) in filteredData">
                    <div class="ch-flex-row">
                      <div class="add_same_bl add_line_1">
                       <div class="add_row">
                         <span><b>{{itemdata.locationName}}</b></span>
                            <span>{{itemdata.address}}</span>
                            <span>{{itemdata.city}}, {{itemdata.zip_code}}</span>
                       </div>
                       <div className="dis_row">
                        <span>12{{itemdata.delivery_distance}}mi</span>
                      </div>
                      </div>
                      <div className="add_same_bl add_action"><a className="btn btn-small red-bg pickup_btn" @click.prevent="pickuphere(itemdata)">PICK UP HERE</a></div>
                       </div>                                         
                    </div>
                  <hr />
                  </div>
                </div>
                <div class="choobox_action_btn">
                  <div class="back-btn">
                      <a href="#" class="btn btn-small red-bg sm-btn-padding">Back</a>
                  </div>
                  <!-- <div class="next-btn">
                    <a href="#" class="btn btn-small red-bg sm-btn-padding">Next</a>
                  </div> -->
                </div>
                <!--/Choose box main -->
              </div>



              <div class="choose-box-right choose-bx-same">
                <pickupmap></pickupmap>
              </div>



          </div>
          </div>
      
      
  </section>
  <!--2. Choose location section end here -->

  <!--3. Footer Start here -->
  <footer class="footer-block">
    <div class="footer-sec">
      <div class="container">
        <div class="footer_nav">
          <ul class="footer_menu_list list-inline list-unstyled">
            <li><i>POWERED BY</i><a href="#"><img src="../assets/images/footer_logo.png" alt="" class="img-responsive"></a></li>
            <li><a href="#">TERMS</a></li>
            <li><a href="#">PRIVACY POLICY</a></li>
          </ul>
        </div>
      </div>
    </div>
  </footer>
  <!--3. Footer End here -->
  <!-- 2. info-modal start here -->  
    <div class="modal fade infomodal" tabindex="-1" role="dialog" aria-hidden="true">
      <div class="modal-dialog modal-lg custom_modal_dialog">
        <div class="modal-content custom_modal_con">             
          <div class="modal-header custom_modal_head">
            <div class="modal_head_logo">
              <a href="#">
                <img src="../assets/images/logo.png" alt="" class="img-responsive">
              </a>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">×</span>
              </button>  
            </div>               
          </div>
          <div class="modal-body custom_modal_body">                
            <div class="root_info_modal">
              <div class="client_desc_modal col_nfo_same">
                <div class="address_selected">
                  <div class="icon_loc_left">
                    <img src="../assets/images/icon/action/locator.png" alt="" class="img-responsive">
                  </div>
                  <div class="loc_right_desc">
                    <p>Cold Stone White Marsh on The Avenue</p>                
                    <address>8137 Honeygo Blvd. #C  Nottingham, MD 21236</address>
                  </div>
                </div>
                <div class="pickup-time">
                  <div class="icon_loc_left">
                    <img src="../assets/images/icon/action/phone24X24.png" alt="" class="img-responsive">
                  </div>
                  <div class="loc_right_desc">
                    <p>(410) 931-2104</p>                                
                  </div>
                </div>
                <hr />
                <div class="ac_details">
                  <div class="icon_loc_left">
                    <img src="../assets/images/icon/action/outlined.png" alt="" class="img-responsive">
                  </div>
                  <div class="loc_right_desc">
                    <p>Hours of Operation</p>                                
                  </div>
                  <div class="pickup_table_hr_details">
                    <table class="table timeline_table">
                      <tr>
                        <th></th>
                        <th>Pickup</th>
                        <th>Delivery</th>
                      </tr>
                      <tr>
                        <td>
                          <b>Sunday</b>
                        </td>
                        <td>
                          <b>11AM-10PM</b>
                        </td>
                        <td>
                          <b>11AM-10PM</b>
                        </td>
                      </tr>
                      <tr>
                        <td>
                          Monday
                        </td>
                        <td>
                          11AM-10PM
                        </td>
                        <td>
                          11AM-10PM
                        </td>
                      </tr>
                      <tr>
                        <td>
                          Tuesday
                        </td>
                        <td>
                          11AM-10PM
                        </td>
                        <td>
                          11AM-10PM
                        </td>
                      </tr>
                      <tr>
                        <td>
                          Wednesday
                        </td>
                        <td>
                          11AM-10PM
                        </td>
                        <td>
                          11AM-10PM
                        </td>
                      </tr>
                      <tr>
                        <td>
                          Thursday
                        </td>
                        <td>
                          11AM-10PM
                        </td>
                        <td>
                          11AM-10PM
                        </td>
                      </tr>
                      <tr>
                        <td>
                          Friday
                        </td>
                        <td>
                          11AM-10PM
                        </td>
                        <td>
                          11AM-10PM
                        </td>
                      </tr>
                      <tr>
                        <td>
                          Saturday
                        </td>
                        <td>
                          11AM-10PM
                        </td>
                        <td>
                          11AM-10PM
                        </td>
                      </tr>
                    </table>
                  </div>
                </div>
              </div>
              <div class="client_loc col_nfo_same">
                <img src="../assets/images/modal-map.png" alt="" class="img-responsive">
              </div>
            </div>                
          </div>
          <div class="modal-footer custom_footer">
              <div class="procedd_btn action_checkout_btn">              
                <a href="#" class="btn btn-primary form_coman_lgbtn red-bg addto addto_modal" data-dismiss="modal">Close</a>
              </div>
          </div>            
        </div>
      </div>
    </div>
    </div>
</template>

<script>
const baseurl = "https://biteheist.com/ordering/tx/GoodEatsDEV/index.php?";
import axios from "axios";
import map from "./map"

    export default {
      components: {
          "pickupmap": map,
        },
        data() {
            return {
                filteredData:[],
                methodChosen:1,
                Method_id:1
            }
        },
    
    created(){
        let that =this
            var token = localStorage.getItem("token");
           let formdata=new FormData();
            formdata.append('methodChosen',1)
            for (let [key, value] of formdata.entries()) {
            console.log(key, ':', value);
     }
        axios ({
            method :'POST',
            url:baseurl+'route=feed/rest_api/showAvailableLocations',
            headers: {
            'Content-Type': 'application/x-www-form-urlencoded',
            'Authorization': "Bearer "+ token
            },
            // data:formdata
            })
          
            .then(res=>{
               console.log("response- chooselocation created",res);
               that.methodChosen=JSON.stringify(res.data.methodChosen)
               that.filteredData=res.data.data

            }) 


    },
    methods:{
      pickuphere(data){
            let methodChosen=this.methodChosen;
            let Method_id = this.Method_id;
            console.log("data comes from chooselocation",data);
            localStorage.setItem('methodChosen',methodChosen)
            localStorage.setItem('Method_id',Method_id)
            localStorage.setItem('enable_order_now', data.enable_order_now)
            localStorage.setItem('enable_order_later', data.enable_order_later)
            localStorage.setItem('location_id', data.locationId)
            localStorage.setItem('locationName', data.locationName)
            localStorage.setItem('address', data.address)
            localStorage.setItem('telephone', data.telephone)
            localStorage.setItem('city', data.city)
            localStorage.setItem('state', data.state)
            this.$router.push("/orderNow")
      }
    }
    }
</script>

<style scoped>

</style>


